Bug 62138 - rhn_check retrieves packages, does not install, and calims success
rhn_check retrieves packages, does not install, and calims success
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2002-03-27 15:39 EST by adler
Modified: 2015-01-07 18:55 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-28 12:50:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description adler 2002-03-27 15:39:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
rhn_check will pull over packages to be installe, does not install them, and
then claims success. The rhn database then reports that the scheduled updates
were successfull but the same packages still need to be installed, becuase they
were not installed to begin with! uggg....

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.schedule my system to be updated in the rhn webpage
2.kick off the update by typing rhn_check -v as root
3.watch pakcages be retireved and not be installed.

Actual Results:  for example, here is a small chuck of output from rhn_check -v

handle_action actionid = 2578713, version = 2
rhn_register-2.7.9-7.x.2.i3  Retrieved.
rhn_register-gnome-2.7.9-7.  Retrieved.
up2date-2.7.61-7.x.2.i386.r  Retrieved.
up2date-gnome-2.7.61-7.x.2.  Retrieved.
Sending back response: (0, 'Packages were installed successfully', {})

Then lets check to see what version of up2date we have

[root@phyppro0 root]# rpm -qa up2date 

hmmm should be 2.7.61....

Additional info:
Comment 1 Adrian Likins 2002-03-27 15:47:09 EST

What happens if you install the packages manually via
rpm? ie

    cd /var/spool/up2date
    rpm -Uvh up2date-2.7.61-7.x.2.i386.rpm up2date-gnome-2.7.61-7.x.2.i386.rpm 
rhn_register-gnome-2.7.9-7.x.2.i386.rpm  rhn_register-2.7.9-7.x.2.i386.rpm

In paticular, does that give any warning or error messages?

is this happening on the same box as #62112?

I'm curious if rpm is failing somewhere and being silent about it. up2date
more or less trusts the return status of the rpm library calls, so if it
failed to install the package and silently failed, it would cause a scenario
like you describe.

Comment 2 adler 2002-03-28 11:31:57 EST
I found what the problem was, the up2date was configured to pull over the
packages but not install them. Technically this is not a bug, but I do stronly
recommend that you add some kind of message the packages are not being installed
because the user has requested such when configuring up2date.
Comment 3 Adrian Likins 2002-03-28 12:50:08 EST
Actually, It is a bug. But it is a bug that should be fixed in
the just released 2.7.61 version of up2date. This should report
back that the packages were fetched but not installed because
of client side configuration.

Note You need to log in before you can comment on or make changes to this bug.